﻿.vue-modal-mask {
    position: fixed;
    /* z-index: 1001; */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .3);
    display: table;
    transition: opacity .3s ease;
}

.vue-modal-wrapper {
    display: table-cell;
    vertical-align: middle;
}

.vue-modal-container {
    position: relative;
    margin: 0px auto;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 1px 3px 18px rgba(0, 0, 0, .33);
    transition: all .3s ease;
}

/*
   * The following styles are auto-applied to elements with
   * transition="modal" when their visibility is toggled
   * by Vue.js.
   *
   * You can easily play with the modal transition by editing
   * these styles.
   */

.modal-enter {
    opacity: 0;
}

.modal-leave-active {
    opacity: 0;
}

.modal-enter .vue-modal-container,
.modal-leave-active .vue-modal-container {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.h-modal-head {
    position: relative;
    margin-top: 0;
}

.h-modal-title {
    margin-top: 0;
    padding: 8px 15px;
    border-radius: 5px 5px 0 0;
    color: #fff;
    /* background: #F8F8F8; */
    /*background: url('/static/img/top-bg.png') center center no-repeat;*/
    font-size: 15px;
}

.h-modal-body {
    position: relative;
    /* overflow-y: scroll; */
}

.h-modal-close-icon {
    position: absolute;
    display: inline-block;
    top: 9px;
    right: 9px;
    width: 19px;
    height: 19px;
    line-height: 19px;
    text-align: center;
    vertical-align: middle;
    border-radius: 50%;
    color: #fff;
    background-color: rgba(0, 0, 0, .2);
    cursor: pointer;
    z-index: 2001;
}

    .h-modal-close-icon:hover {
        background: #D65248;
        color: #fff;
    }

.h-modal-close-icon-2 {
    position: absolute;
    display: inline-block;
    top: 7px;
    right: 9px;
    width: 21px;
    height: 21px;
    line-height: 21px;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    z-index: 2001;
}

.h-modal-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .2);
    transition: opacity .3s ease;
}

.h-modal-scroll::-webkit-scrollbar {
    /*滚动条整体样式*/
    width: 7px; /*高宽分别对应横竖滚动条的尺寸*/
    height: 7px;
}

.h-modal-scroll::-webkit-scrollbar-thumb {
    /*滚动条里面小方块*/
    border-radius: 5px;
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    background: rgba(0, 0, 0, 0.2);
}

.h-modal-scroll::-webkit-scrollbar-track {
    /*滚动条里面轨道*/
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    border-radius: 0;
    background: rgba(0, 0, 0, 0.1);
}
